package com.logicbig.example;

import java.io.Serializable;
import java.util.Objects;

public class CompositeTaskId implements Serializable{
    private long employee;
    private long taskId;

    public CompositeTaskId() {
    }

    public CompositeTaskId(long employeeId, long taskId) {
        this.employee = employeeId;
        this.taskId = taskId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CompositeTaskId taskId1 = (CompositeTaskId) o;
        if (employee != taskId1.employee) return false;
        return taskId == taskId1.taskId;
    }

    @Override
    public int hashCode() {
        return Objects.hash(employee, taskId);
    }
}